%define branch 0
%define __libtoolize    /bin/true

%define lib_name_orig lib%name
%define lib_major 0
%define lib_name %mklibname %name %lib_major

%define oldname quanta
%define oldlib_name %mklibname %oldname %lib_major

%define obsolete_numver 3.2.3-30mdk

%define branch 0
%{?_branch: %{expand: %%global branch 1}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

Name:	kdewebdev
Version: 3.5.7
Release: %mkrel 3
License:	GPL
Summary:	A web editor for the KDE Desktop Environment
Epoch:		1
URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.%branch_date.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
%endif
Source1:        css.tar.bz2
Source2:        html.tar.bz2
Source3:        javascript.tar.bz2
Source4:        mysql5-quanta-doc-20051117.tar.bz2
Source5:        php.tar.bz2
Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:  pam
BuildRequires:  diffutils
BuildRequires:	texinfo gettext 
BuildRequires:  jpeg-devel
BuildRequires:	png-devel
BuildRequires:  arts-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:  automake >= 1.8
BuildRequires:	autoconf >= 1:2.59
BuildRequires:  kdelibs-devel  
BuildRequires:	freetype2 
Requires:       tidy
Requires:       kommander
Requires:       kfilereplace
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Conflicts:       quanta <= %epoch:%obsolete_numver
Obsoletes:       %oldname <= %epoch:%obsolete_numver
Provides:        %oldname = %epoch:%version-%release
Conflicts:       kdewebdev-kommander <= 3.5.5

%description
A html editor for the K Desktop Environment.

%post
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%_bindir/quanta
%_bindir/kxsldbg
%_bindir/kimagemapeditor
%_bindir/klinkstatus
%doc %_docdir/HTML/en/xsldbg
%dir %_datadir/apps/quanta
%_datadir/apps/quanta/*
%dir %_datadir/apps/kimagemapeditor/
%_datadir/apps/kimagemapeditor/*
%_iconsdir/*/*/*/kimagemap*
%_datadir/services/kimagemapeditorpart.desktop
%_libdir/kde3/libkimagemapeditor.*
%_datadir/applications/kde/kimagemapeditor.desktop
%_datadir/applications/kde/klinkstatus.desktop
%_datadir/applications/kde/kxsldbg.desktop
%_datadir/applications/kde/quanta.desktop
%_datadir/services/klinkstatus_part.desktop
%dir %_datadir/apps/klinkstatus
%_datadir/apps/klinkstatus/*
%dir %_datadir/apps/klinkstatuspart/
%_datadir/apps/klinkstatuspart/*.rc
%dir %_datadir/apps/klinkstatuspart/pics/
%_datadir/apps/klinkstatuspart/pics/*.png
%_datadir/config.kcfg/klinkstatus.kcfg
%doc %_docdir/HTML/en/klinkstatus
%_libdir/kde3/libklinkstatuspart.*
%_iconsdir/*/*/*/klinkstat*
%_iconsdir/*/*/actions/*
%_iconsdir/*/*/*/quanta*
%_datadir/mimelnk/application/x-webprj.desktop
%_datadir/servicetypes/quantadebugger.desktop
%dir %_datadir/apps/kxsldbg/
%_datadir/apps/kxsldbg/*
%dir %_datadir/apps/kxsldbgpart/
%_datadir/apps/kxsldbgpart/*
%dir %_datadir/apps/kafkapart/
%_datadir/apps/kafkapart/*
%_libdir/kde3/libkxsldbgpart.*
%_libdir/kde3/quantadebugger*.*
%_datadir/services/kxsldbg_part.desktop
%_datadir/services/quanta_preview_config.desktop
%_datadir/services/quantadebuggerdbgp.desktop
%_datadir/services/quantadebuggergubed.desktop
%doc %_docdir/HTML/en/quanta
%doc %_docdir/HTML/en/kxsldbg

#--------------------------------------------------------------------------

%package        quanta-doc
Summary:        Documentation about Quanta
Group:          Books/Computer books

Provides:       quanta-doc
%description    quanta-doc

Documentation for Quanta

%files quanta-doc
%dir %_docdir/quanta
%dir %_docdir/quanta/css
%doc %_docdir/quanta/css/*
%dir %_docdir/quanta/html
%doc %_docdir/quanta/html/*
%dir %_docdir/quanta/javascript
%doc %_docdir/quanta/javascript/*
%dir %_docdir/quanta/mysql5
%doc %_docdir/quanta/mysql5/*
%dir %_docdir/quanta/php
%doc %_docdir/quanta/php/*

#--------------------------------------------------------------------------

%package kfilereplace
Summary:	Kfilereplace
Group:		Graphical desktop/KDE
Obsoletes:	kfilereplace <= 0.7.1-1mdk
Provides:	kfilereplace
Conflicts:	quanta <= %epoch:%obsolete_numver
Obsoletes:      %oldname-kfilereplace <= %epoch:%obsolete_numver
Provides:       %oldname-kfilereplace
Obsoletes:      %lib_name-kfilereplace

%description kfilereplace
Kfilereplace program

%post kfilereplace
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kfilereplace
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kfilereplace
%defattr(-,root,root)
%_bindir/kfilereplace
%dir %_datadir/apps/kfilereplacepart
%_datadir/apps/kfilereplacepart/*
%dir %_datadir/apps/kfilereplace/
%_datadir/apps/kfilereplace/*
%_datadir/services/kfilereplacepart.desktop
%doc %_docdir/HTML/en/kfilereplace
%_datadir/applications/kde/kfilereplace.desktop
%_libdir/kde3/libkfilereplacepart.*
%_iconsdir/*/*/*/kfilerep*

#--------------------------------------------------------------------------

%package kommander
Summary:	Kommander
Group:		Graphical desktop/KDE
Provides:	kommander
Requires:	%lib_name-kommander = %epoch:%version-%release
Conflicts:	quanta <= %epoch:%obsolete_numver
Conflicts:      %name  < 3.5.4-4
Obsoletes:      %oldname-kommander <= %epoch:%obsolete_numver
Provides:       %oldname-kommander
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description kommander
Kommander program

%post kommander
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kommander
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kommander
%defattr(-,root,root)
%_bindir/kmdr-editor
%_bindir/kmdr-executor
%_bindir/kmdr-plugins
%_bindir/xsldbg
%_bindir/extractkmdr
%_bindir/kmdr2po
%_datadir/mimelnk/application/x-kommander.desktop
%doc %_docdir/HTML/en/kommander
%_datadir/applnk/.hidden/kmdr-executor.desktop
%_datadir/applications/kde/kmdr-editor.desktop
%_iconsdir/*/*/*/kommand*
%dir %_datadir/apps/kmdr-editor
%_datadir/apps/kmdr-editor/*
%_datadir/apps/katepart/syntax/kommander.xml

#--------------------------------------------------------------------------

%package -n %lib_name-kommander
Summary:	Library for Kommander
Group:		Graphical desktop/KDE
Conflicts:	quanta <= %epoch:%obsolete_numver
Obsoletes:  %oldlib_name-kommander <= %epoch:%obsolete_numver
Provides:   %oldlib_name-kommander
Conflicts:	quanta <= 3.2-9mdk

%description -n %lib_name-kommander
Kommander program

%post -n %lib_name-kommander -p /sbin/ldconfig
%postun -n %lib_name-kommander -p /sbin/ldconfig

%files -n %lib_name-kommander
%defattr(-,root,root)
%_libdir/libkommanderwidgets.la
%_libdir/libkommanderwidgets.so.*
%_libdir/libkommanderplugin.la
%_libdir/libkommanderplugin.so.*
%_libdir/libkommanderwidget.la
%_libdir/libkommanderwidget.so.*

#--------------------------------------------------------------------------

%package -n %lib_name-kommander-devel
Summary:	Header for kommander
Group:		Development/KDE and Qt
Requires:	%lib_name-kommander = %epoch:%version-%release
Obsoletes:  %oldlib_name-kommander-devel <= %epoch:%obsolete_numver
Provides:   %oldlib_name-kommander-devel

%description -n %lib_name-kommander-devel
Header for Kommander

%files -n %lib_name-kommander-devel
%defattr(-,root,root)
%_libdir/libkommanderwidgets.so
%_libdir/libkommanderplugin.so
%_libdir/libkommanderwidget.so

#--------------------------------------------------------------------------

%package -n %lib_name
Summary:    Library for kdewebdev
Group:      Graphical desktop/KDE
Provides:	%lib_name_orig = %epoch:%version-%release
Provides:	quanta-devel = %epoch:%version-%release
Conflicts:	quanta <= %epoch:%obsolete_numver
Obsoletes:  %oldlib_name <= %epoch:%obsolete_numver
Provides:   %oldlib_name

%description -n %lib_name
Library files for kdewebdev.

%files -n %lib_name
%defattr(-,root,root)

#--------------------------------------------------------------------------

%package -n %lib_name-devel
Summary:    Development library for kdewebdev
Group:      Development/KDE and Qt
Obsoletes:  %oldlib_name-devel <= %epoch:%obsolete_numver
Provides:   %oldlib_name-devel

Obsoletes:	quanta-devel
Provides:	quanta-devel = %epoch:%version-%release
Requires:	%lib_name = %epoch:%version-%release
Provides:	%{lib_name_orig}-devel = %epoch:%version-%release
Conflicts:	quanta <= %epoch:%obsolete_numver

%description -n %lib_name-devel
Development library files for quanta.
%files -n %lib_name-devel
%defattr(-,root,root)
%_includedir/*.h

#--------------------------------------------------------------------------

%prep

%setup -q -n%name-%version -a 1 -a 2 -a 3 -a 4 -a 5

%build
export QTDIR=%_prefix/lib/qt3

%configure2_5x \
%if %unstable  
   --enable-debug=full \
%else
   --disable-debug \
%endif
   --enable-shared \
%if %use_enable_final
   --enable-final \
%endif
   --disable-static \
   --disable-embedded \
   --disable-palmtop \
   --disable-rpath \
   --with-gnu-ld \
   --with-pic \
   --with-xinerama

%make

%install
rm -fr %buildroot

make install DESTDIR=%buildroot

cp kommander/working/extractkmdr   %buildroot/%_bindir/
cp kommander/working/kmdr2po %buildroot/%_bindir/

%__mkdir -p %buildroot%_datadir/doc/quanta
cp -r css/ %buildroot%_datadir/doc/quanta
cp -r html/ %buildroot%_datadir/doc/quanta
cp -r javascript/ %buildroot%_datadir/doc/quanta
cp -r mysql5/ %buildroot%_datadir/doc/quanta
cp -r php/ %buildroot%_datadir/doc/quanta
%clean
rm -rf $RPM_BUILD_ROOT





%changelog
* Thu Oct 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-3mdv2008.0
+ Revision: 95305
- Fix upgrade from 2007.0

  + Anssi Hannula <anssi@mandriva.org>
    - remove hardcoded packager tag

* Sat Jun 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-2mdv2008.0
+ Revision: 43460
- [FEATURE] Add documentation for Quanta (bug #10091)'

* Thu May 17 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-1mdv2008.0
+ Revision: 27534
- 3.5.7 release

  + Laurent Montel <lmontel@mandriva.org>
    - Fix conflict


* Thu Feb 01 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-1mdv2007.0
+ Revision: 115858
- 3.5.6

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.0
+ Revision: 65944
- Use packager tag
- Use official tarball

  + Helio Chissini de Castro <helio@mandriva.com>
    - Back to use branch tarballs. Now using post 3.5.5
    - Updated spec. The spec layout was too old and not match with current kde specs
      on mandriva

* Sun Sep 03 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-4mdv2007.0
+ Revision: 59594
- New package (3.5.4-4mdv 2006-09-02)
  Fix crash into css editor

* Tue Aug 15 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-3mdv2007.0
+ Revision: 55872
- New package (2006/08/14 3.5.4-3mdv)
  Be sure to obsolete old package (migrate pb)

* Sat Aug 12 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-2mdv2007.0
+ Revision: 55626
- New package (2006/08/11 3.5.4-2mdv)
  Fix icon into menu
- New package (2006/08/04 3.5.4-1mdv)

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-3mdv2007.0
+ Revision: 41548
- Fix install files
- fix compile under x86_64
- 3.5.3
- Rebuild to generate category
- Fix file list
- 3.5.2
- 3.5.1
- Activate debug for cooker only
  MDK9.2 is obsolete now
- Fix kfilereplace.desktop pos
- Real kde3.5.0
- 3.5.0
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch
- 3.4.92
- Rebuild
- Requires tidy not all component otherwise it's not necessary to split it
- New sync
- Fix icons into kommander
- Remove debug
  Sync with kde 3.4.2 branch
- Oops
- Add missing patch
- 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./kdewebdev

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Rebuild

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Fix spec
- Reenable debug
- Use --enable-new-ldflags
- Recreate menu entry

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Wed Mar 30 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Try to fix install

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Fix update from 10.1

* Wed Feb 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Fix MDK bug #13914

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Disable debug

* Sat Jan 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Fix generate menu

* Tue Jan 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Fix menu entry

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Rebuild

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Fix menu

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Remove direct requires on kommander

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Nov 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Generate menu

* Tue Nov 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Sync with CVS

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix spec

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- bye-bye %%buildfor

* Wed Oct 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Sync with CVS

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Fix conflict from MDK 10.0

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Update from kde3.3.0

* Fri Sep 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Rebuild without debug

* Fri Sep 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Fix conflict

* Sat Sep 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- kde 3.3.0

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3-0.rc1.1mdk
- 3.3 rc1

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.92-1mdk
- Rename quanta to kdewebdev
- TODO fix conflict/Obsoletes

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Add patch2: fix kde bug #82984: "grey==gray"

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Sync with CVS

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Fix remove rpath

* Wed Jul 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Sync with CVS

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Rebuild with new kdelibs

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Sat Jun 05 2004 <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild with debug

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Thu Apr 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-5mdk
- Add patch from gbeauchesne@mandrakesoft.com fix amd64 build (thanks a lot)

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Fix spec file to using rpmbuildupdate

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix requires

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Use %%configure
- Use mdkversion
- Add requires on quanta-kommander

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix group
- Add patch1: fix treeview crash
- Add patch2: "Make removal of new top folders pointing to the non-local root directory (e.g ftp://someserver/) possible [#76573]."
- Add patch3: "Fix opening of documentation pages with references [#70345]"
- Add patch4: fix quanta crash with bookmark

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Sync

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Fix some bugs into quanta

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix menu entry

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Fix epoch

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS
- Fix distlint
- Fix buildrequires kdelibs >=3.2-13mdk (pb kdedesktop2mdkmenu)

* Thu Feb 12 2004 David Baudens <baudens@mandrakesoft.com> 3.2-3mdk
- Fix menu

* Fri Feb 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix menu entry (icons/position)

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

